| Home | Libraries | People | FAQ | More

## BoostBook element `signature`

signature — One signature of an overloaded function or method

## Synopsis

signature ::= (template?, type, parameter*)

## Description

A signature refers to one declaration of an overloaded function or method. The signature itself has no name, because the name of the overloaded function or method is used. An overloaded function or method will have several signatures that will generally be typeset together.

## Attributes

Name | Type | Value | Purpose
--- | --- | --- | ---
last-revision | #IMPLIED | CDATA | Set to $Date: 2004/01/15 16:08:59 $ to keep "last revised" information in sync with CVS changes
cv | #IMPLIED | CDATA | cv-qualifiers for this method, e.g., const volatile
specifiers | #IMPLIED | CDATA | The specifiers for this function, e.g., inline, static, etc.
id | #IMPLIED | CDATA | A global identifier for this element
xml:base | #IMPLIED | CDATA | Implementation detail used by XIncludes

Last revised: , at GMT | Copyright © 2003 Douglas Gregor

BoostBook element parameter |  | BoostBook element overloaded-function